Package org.apache.felix.hc.core.impl.scheduling

## Class AsyncIntervalJob

- java.lang.Object
- - org.apache.felix.hc.core.impl.scheduling.AsyncJob
  - - org.apache.felix.hc.core.impl.scheduling.AsyncIntervalJob

    public class AsyncIntervalJob
    extends AsyncJob

Runs health checks that are configured with an interval (ScheduledThreadPoolExecutor.scheduleAtFixedRate()) for asynchronous execution.

### Field Summary

### Fields inherited from class org.apache.felix.hc.core.impl.scheduling.AsyncJob

`runnable`

### Constructor Summary

Constructors
`AsyncIntervalJob​(Runnable runnable, HealthCheckExecutorThreadPool healthCheckExecutorThreadPool, Long asyncIntervalInSec)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `schedule()`
`String` `toString()`
`boolean` `unschedule()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AsyncIntervalJob

    public AsyncIntervalJob​(Runnable runnable,
                            HealthCheckExecutorThreadPool healthCheckExecutorThreadPool,
                            Long asyncIntervalInSec)

### Method Detail

#### schedule

    public boolean schedule()

Specified by:
  `schedule` in class `AsyncJob`

#### unschedule

    public boolean unschedule()

Specified by:
  `unschedule` in class `AsyncJob`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`